Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355713 - 2.0: RHEL Installation Doc: section 'ceph block device installation' has wrong command to create a file system
Summary: 2.0: RHEL Installation Doc: section 'ceph block device installation' has wron...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 2.0
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: 2.0
Assignee: Aron Gunn
QA Contact: Harish NV Rao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 10:29 UTC by Harish NV Rao
Modified: 2016-09-30 17:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-30 17:22:36 UTC


Attachments (Terms of Use)

Description Harish NV Rao 2016-07-12 10:29:03 UTC
Description of problem:
The section "4.2 Ceph Block Device Installation" of doc: https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/installation-guide-for-red-hat-enterprise-linux/#ceph_block_device_installation contains wrong command 'mkfs-ext4' in step 4. 

The command in the doc: mkfs-ext4 -mO /dev/rbd/<pool-name>/<image-name>
What it should be: mkfs.ext4 -m5 /dev/rbd/<pool-name>/<image-name>

Replace 'mkfs-ext4' with 'mkfs.ext4' and '-m0' with '-m5' as the default value for the "-m" (reserved-blocks-percentage) is 5%. Please refer to man pages of mkfs.ext4 for more details.

Version-Release number of selected component (if applicable):
found this issue on:
[root@magna055 cephuser]# uname -a
Linux magna055 3.10.0-327.22.2.el7.x86_64 #1 SMP Thu Jun 9 10:09:10 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
[root@magna055 cephuser]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.2 (Maipo)



How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Vasishta 2016-07-20 09:50:48 UTC
Hi,
I verified on both RHEL and ubuntu systems as per doc. Works fine now.

Thanks,
Vasishta Shastry


Note You need to log in before you can comment on or make changes to this bug.